<p dir="ltr">I don't know whether it's relevant, however we recently upgraded an <a href="http://ASP.NET">ASP.NET</a> WebForms application from 2.0 to 4.0 and there were numerous little gotchas on the. NET runtime.  Granted a lot of these were with third party libraries, but I would be concerned that this could simply cause some applications to just not work.  Therefore causing people to need to setup parallel mom installations.</p>

<p dir="ltr">That said, I don't know anything about the approach you're suggesting as to whether the same issues could occur.</p>
<p dir="ltr">My2cents would be that compatibility issues would need to be fast tracked if you did that.</p>
<p dir="ltr">Personally, I only use 4.0 and above now, so for me, do as you will.  Anything to give people time to focus on the important, useful things in the framework (like making MVC5 and OWIN security work)</p>
<p dir="ltr">Thanks<br>
Martin</p>
<div class="gmail_quote">On 14 May 2014 19:47, "Rafael Teixeira" <<a href="mailto:monoman@gmail.com">monoman@gmail.com</a>> wrote:<br type="attribution"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div dir="ltr">I think it is a good move. But all tests for NET_20 profile (as compiled in that profile) must be run and succeed in the NET_45 profile, before killing it. <div><br></div><div>My 2 cents,</div></div><div class="gmail_extra">

<br clear="all"><div>Rafael Teixeira<br>O..:.)oooo<br></div>
<br><br><div class="gmail_quote">On Wed, May 14, 2014 at 3:32 PM, Miguel de Icaza <span dir="ltr"><<a href="mailto:miguel@xamarin.com" target="_blank">miguel@xamarin.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

<div dir="ltr">Hey guys,<div><br></div><div>Maintaining the .NET API has become a pain and we feel that everything that could run with 2.0 could run with 4.5.</div><div><br></div><div>So we are wondering if we should just kill this and get on with our lives.</div>


<div><br>It would let us use Async internally in our class libraries (among other things)</div><div><br></div><div>I wonder if we could just patch the Mono C runtime to redirect all references to the 2.0 assemblies at runtime to the 4.0 gac?</div>

<span><font color="#888888">
<div><br></div><div>Miguel</div></font></span></div>
<br>_______________________________________________<br>
Mono-devel-list mailing list<br>
<a href="mailto:Mono-devel-list@lists.ximian.com" target="_blank">Mono-devel-list@lists.ximian.com</a><br>
<a href="http://lists.ximian.com/mailman/listinfo/mono-devel-list" target="_blank">http://lists.ximian.com/mailman/listinfo/mono-devel-list</a><br>
<br></blockquote></div><br></div>
<br>_______________________________________________<br>
Mono-devel-list mailing list<br>
<a href="mailto:Mono-devel-list@lists.ximian.com">Mono-devel-list@lists.ximian.com</a><br>
<a href="http://lists.ximian.com/mailman/listinfo/mono-devel-list" target="_blank">http://lists.ximian.com/mailman/listinfo/mono-devel-list</a><br>
<br></blockquote></div>